# Configuration file

entitiesalwaysinfernal {
    B:AS_EntityGolem=false
    B:EntityAsmodeus=false
    B:EntityAstaroth=false
    B:EntityBlaze=false
    B:EntityCalpod=false
    B:EntityCaveSpider=false
    B:EntityCreeper=false
    B:EntityCryptZombie=false
    B:EntityCryptkeeper=false
    B:EntityCyclops=false
    B:EntityElderGuardian=false
    B:EntityEnderman=false
    B:EntityEndermite=false
    B:EntityEttin=false
    B:EntityEvilWizard=false
    B:EntityEvoker=false
    B:EntityGeist=false
    B:EntityGhast=false
    B:EntityGhoul=false
    B:EntityGhoulZombie=false
    B:EntityGorgomite=false
    B:EntityGorgon=false
    B:EntityGuardian=false
    B:EntityHost=false
    B:EntityHusk=false
    B:EntityLobber=false
    B:EntityMagmaCube=false
    B:EntityPigZombie=false
    B:EntityRahovart=false
    B:EntityScuttler=false
    B:EntityShambler=false
    B:EntityShamblerTwisted=false
    B:EntityShulker=false
    B:EntitySilverfish=false
    B:EntitySiren=false
    B:EntitySkeleton=false
    B:EntitySkeletonMinion=false
    B:EntitySlime=false
    B:EntitySlimeDefiled=false
    B:EntitySpider=false
    B:EntityStray=false
    B:EntityStymphalianBird=false
    B:EntityTFArmoredGiant=false
    B:EntityTFDeathTome=false
    B:EntityTFGiantMiner=false
    B:EntityTFKobold=false
    B:EntityTFNaga=false
    B:EntityTFRedcap=false
    B:EntityTFTroll=false
    B:EntityTreant=false
    B:EntityTrite=false
    B:EntityTroll=false
    B:EntityTrumpetSkeleton=false
    B:EntityVespid=false
    B:EntityVespidQueen=false
    B:EntityVex=false
    B:EntityVindicator=false
    B:EntityWendigo=false
    B:EntityWitch=false
    B:EntityWither=false
    B:EntityWitherSkeleton=false
    B:EntityZombie=false
    B:EntityZombieVillager=false
    B:MoCEntityCaveOgre=false
    B:MoCEntityFireOgre=false
    B:MoCEntityFlameWraith=false
    B:MoCEntityGolem=false
    B:MoCEntityGreenOgre=false
    B:MoCEntityHellRat=false
    B:MoCEntityHorseMob=false
    B:MoCEntityManticore=false
    B:MoCEntityMiniGolem=false
    B:MoCEntityRat=false
    B:MoCEntityScorpion=false
    B:MoCEntitySilverSkeleton=false
    B:MoCEntityWWolf=false
    B:MoCEntityWerewolf=false
    B:MoCEntityWraith=false
}


entitybasehealth {
    D:AS_EntityGolem=250.0
    D:EntityAstaroth=264.01611328125
    D:EntityBlaze=20.0
    D:EntityCalpod=5.5
    D:EntityCaveSpider=12.0
    D:EntityCreeper=20.0
    D:EntityCryptZombie=25.0
    D:EntityCryptkeeper=30.049598693847656
    D:EntityCyclops=150.00149536132812
    D:EntityElderGuardian=80.00194549560547
    D:EntityEnderman=40.0
    D:EntityEttin=30.0
    D:EntityEvilWizard=30.0
    D:EntityGeist=16.5
    D:EntityGhoul=18.383384704589844
    D:EntityGhoulZombie=15.0
    D:EntityGorgomite=5.0
    D:EntityGuardian=30.002662658691406
    D:EntityHost=20.00263214111328
    D:EntityHusk=20.0
    D:EntityLobber=44.002742767333984
    D:EntityMagmaCube=4.0
    D:EntityPigZombie=20.0
    D:EntityScuttler=16.0
    D:EntityShambler=40.005645751953125
    D:EntityShamblerTwisted=40.00213623046875
    D:EntitySilverfish=8.001144409179688
    D:EntitySiren=50.0
    D:EntitySkeleton=20.0
    D:EntitySlime=1.0
    D:EntitySlimeDefiled=1.0
    D:EntitySpider=16.0
    D:EntityStray=20.0
    D:EntityStymphalianBird=30.0
    D:EntityTFKobold=13.0
    D:EntityTreant=132.0
    D:EntityTrite=5.5
    D:EntityTroll=50.0
    D:EntityTrumpetSkeleton=20.00286102294922
    D:EntityVespid=4.0
    D:EntityVespidQueen=37.60228729248047
    D:EntityWendigo=40.0
    D:EntityWitch=26.0
    D:EntityWitherSkeleton=22.53411102294922
    D:EntityZombie=20.0
    D:EntityZombieVillager=20.0
    D:MoCEntityFireOgre=35.0
    D:MoCEntityFlameWraith=15.0
    D:MoCEntityGreenOgre=35.0
    D:MoCEntityHellRat=20.0
    D:MoCEntityHorseMob=30.0
    D:MoCEntityManticore=40.0
    D:MoCEntityMiniGolem=15.0
    D:MoCEntityRat=10.0
    D:MoCEntityScorpion=18.0
    D:MoCEntitySilverSkeleton=25.0
    D:MoCEntityWerewolf=40.0
    D:MoCEntityWraith=10.0
}


general {
    I:AntiMobFarmCheckInterval=30
    B:AntiMobfarmingEnabled=true
    B:"MM_1UP enabled"=false
    B:"MM_Alchemist enabled"=true
    B:"MM_Berserk enabled"=true
    B:"MM_Blastoff enabled"=true
    B:"MM_Bulwark enabled"=true
    B:"MM_Choke enabled"=true
    B:"MM_Cloaking enabled"=false
    B:"MM_Darkness enabled"=true
    B:"MM_Ender enabled"=true
    B:"MM_Exhaust enabled"=true
    B:"MM_Fiery enabled"=true
    B:"MM_Ghastly enabled"=true
    B:"MM_Gravity enabled"=true
    B:"MM_Lifesteal enabled"=true
    B:"MM_Ninja enabled"=false
    B:"MM_Poisonous enabled"=true
    B:"MM_Quicksand enabled"=true
    B:"MM_Regen enabled"=false
    B:"MM_Rust enabled"=true
    B:"MM_Sapper enabled"=true
    B:"MM_Sprint enabled"=true
    B:"MM_Sticky enabled"=false
    B:"MM_Storm enabled"=true
    B:"MM_Vengeance enabled"=true
    B:"MM_Weakness enabled"=true
    B:"MM_Webber enabled"=true
    B:"MM_Wither enabled"=true

    # List of DimensionIDs where InfernalMobs will NEVER spawn
    S:dimensionIDBlackList=

    # Disables the ingame Health and Name overlay
    B:disableGUIoverlay=false

    # List of equally likely to drop Items for Elites, seperated by commas, syntax: ID-meta-stackSize-stackSizeRandomizer, everything but ID is optional, see changelog
    S:droppedItemIDsElite=xat:glowing_ingot-0-1-3,xat:ender_tiara,bountifulbaubles:spectralsilt-0-1-3,potionfingers:ring,scalinghealth:heartdust-0-16-32,scalinghealth:crystalshard-0-2-8,iron_shovel,iron_pickaxe,iron_axe,iron_sword,iron_hoe,chainmail_helmet,chainmail_chestplate,chainmail_leggings,chainmail_boots,iron_helmet,iron_chestplate,iron_leggings,iron_boots,cookie-0-6,enchanted_book,iceandfire:armor_silver_metal_helmet,iceandfire:armor_silver_metal_chestplate,iceandfire:armor_silver_metal_leggings,iceandfire:armor_silver_metal_boots,spartanweaponry:dagger_iron,spartanweaponry:longsword_iron,spartanweaponry:katana_iron,spartanweaponry:saber_iron,spartanweaponry:rapier_iron,spartanweaponry:greatsword_iron,spartanweaponry:hammer_iron,spartanweaponry:warhammer_iron,spartanweaponry:spear_iron,spartanweaponry:halberd_iron,spartanweaponry:pike_iron,spartanweaponry:lance_iron,spartanweaponry:longbow_iron,spartanweaponry:crossbow_iron,spartanweaponry:throwing_knife_iron,spartanweaponry:throwing_axe_iron,spartanweaponry:javelin_iron,spartanweaponry:boomerang_iron,spartanweaponry:battleaxe_iron,spartanweaponry:mace_iron

    # List of equally likely to drop Items for Infernals, seperated by commas, syntax: ID-meta-stackSize-stackSizeRandomizer, everything but ID is optional, see changelog
    S:droppedItemIDsInfernal=xat:sea_stone,xat:glowing_ingot-0-1-3,bountifulbaubles:spectralsilt-0-1-3,xat:wither_ring,bountifulbaubles:trinketvitamins,bountifulbaubles:trinketapple,bountifulbaubles:trinketobsidianskull,bountifulbaubles:ringfreeaction,bountifulbaubles:ringoverclocking,bountifulbaubles:trinketmagiclenses,bountifulbaubles:brokenheart,bountifulbaubles:amuletcross,bountifulbaubles:amuletsinempty,bountifulbaubles:brokenblackdragonscale,scalinghealth:heartdust-0-16-32,scalinghealth:crystalshard-0-2-8,diamond-0-3,diamond_sword,diamond_shovel,diamond_pickaxe,diamond_axe,diamond_hoe,chainmail_helmet,chainmail_chestplate,chainmail_leggings,chainmail_boots,diamond_helmet,diamond_chestplate,diamond_leggings,diamond_boots,ender_pearl-0-1-3,ender_eye-0-1-3,enchanted_book,enchanted_book,enchanted_book,spartanweaponry:dagger_diamond,spartanweaponry:longsword_diamond,spartanweaponry:katana_diamond,spartanweaponry:saber_diamond,spartanweaponry:rapier_diamond,spartanweaponry:greatsword_diamond,spartanweaponry:hammer_diamond,spartanweaponry:warhammer_diamond,spartanweaponry:spear_diamond,spartanweaponry:halberd_diamond,spartanweaponry:pike_diamond,spartanweaponry:lance_diamond,spartanweaponry:longbow_diamond,spartanweaponry:crossbow_diamond,spartanweaponry:throwing_knife_diamond,spartanweaponry:throwing_axe_diamond,spartanweaponry:javelin_diamond,spartanweaponry:boomerang_diamond,spartanweaponry:battleaxe_diamond,spartanweaponry:mace_diamond

    # List of equally likely to drop Items for Ultras, seperated by commas, syntax: ID-meta-stackSize-stackSizeRandomizer, everything but ID is optional, see changelog
    S:droppedItemIDsUltra=xat:glowing_ingot-0-1-3,xat:poison_stone,bountifulbaubles:spectralsilt-0-1-3,potionfingers:ring,scalinghealth:heartdust-0-16-32,scalinghealth:crystalshard-0-2-8,bow,iron_hoe,chainmail_helmet,chainmail_chestplate,chainmail_leggings,chainmail_boots,iron_helmet,iron_chestplate,iron_leggings,iron_boots,golden_helmet,golden_chestplate,golden_leggings,golden_boots,golden_apple,blaze_powder-0-3,enchanted_book,enchanted_book,spartanweaponry:dagger_iron,spartanweaponry:longsword_iron,spartanweaponry:katana_iron,spartanweaponry:saber_iron,spartanweaponry:rapier_iron,spartanweaponry:greatsword_iron,spartanweaponry:hammer_iron,spartanweaponry:warhammer_iron,spartanweaponry:spear_iron,spartanweaponry:halberd_iron,spartanweaponry:pike_iron,spartanweaponry:lance_iron,spartanweaponry:longbow_iron,spartanweaponry:crossbow_iron,spartanweaponry:throwing_knife_iron,spartanweaponry:throwing_axe_iron,spartanweaponry:javelin_iron,spartanweaponry:boomerang_iron,spartanweaponry:battleaxe_iron,spartanweaponry:mace_iron

    # One in THIS many Mobs will become atleast rare
    I:eliteRarity=20

    # One in THIS many already ultra Mobs will become infernal
    I:infernoRarity=5

    # highest amount of damage an Infernal Mob or reflecting Mod will do in a single strike
    D:maxOneShotDamage=10.0
    D:mobFarmDamageThreshold=150.0

    # Multiplier applied ontop of all of the modified Mobs health
    S:mobHealthFactor=1.0

    # One in THIS many already rare Mobs will become atleast ultra
    I:ultraRarity=10

    # Use Entity class names instead of ingame Entity names for the config
    B:useSimpleEntityClassnames=true
}


permittedentities {
    B:AS_EntityGolem=true
    B:EntityAsmodeus=true
    B:EntityAstaroth=true
    B:EntityBlaze=true
    B:EntityCalpod=true
    B:EntityCaveSpider=true
    B:EntityCreeper=true
    B:EntityCryptZombie=true
    B:EntityCryptkeeper=true
    B:EntityCyclops=true
    B:EntityElderGuardian=true
    B:EntityEnderman=true
    B:EntityEndermite=true
    B:EntityEttin=true
    B:EntityEvilWizard=true
    B:EntityEvoker=true
    B:EntityGeist=true
    B:EntityGhast=true
    B:EntityGhoul=true
    B:EntityGhoulZombie=true
    B:EntityGorgomite=true
    B:EntityGorgon=true
    B:EntityGuardian=true
    B:EntityHost=true
    B:EntityHusk=true
    B:EntityLobber=true
    B:EntityMagmaCube=true
    B:EntityPigZombie=true
    B:EntityRahovart=true
    B:EntityScuttler=true
    B:EntityShambler=true
    B:EntityShamblerTwisted=true
    B:EntityShulker=true
    B:EntitySilverfish=true
    B:EntitySiren=true
    B:EntitySkeleton=true
    B:EntitySkeletonMinion=true
    B:EntitySlime=true
    B:EntitySlimeDefiled=true
    B:EntitySpider=true
    B:EntityStray=true
    B:EntityStymphalianBird=true
    B:EntityTFArmoredGiant=true
    B:EntityTFDeathTome=true
    B:EntityTFGiantMiner=true
    B:EntityTFKobold=true
    B:EntityTFNaga=true
    B:EntityTFRedcap=true
    B:EntityTFTroll=true
    B:EntityTreant=true
    B:EntityTrite=true
    B:EntityTroll=true
    B:EntityTrumpetSkeleton=true
    B:EntityVespid=true
    B:EntityVespidQueen=true
    B:EntityVex=true
    B:EntityVindicator=true
    B:EntityWendigo=true
    B:EntityWitch=true
    B:EntityWither=true
    B:EntityWitherSkeleton=true
    B:EntityZombie=true
    B:EntityZombieVillager=true
    B:MoCEntityCaveOgre=true
    B:MoCEntityFireOgre=true
    B:MoCEntityFlameWraith=true
    B:MoCEntityGolem=true
    B:MoCEntityGreenOgre=true
    B:MoCEntityHellRat=true
    B:MoCEntityHorseMob=true
    B:MoCEntityManticore=true
    B:MoCEntityMiniGolem=true
    B:MoCEntityRat=true
    B:MoCEntityScorpion=true
    B:MoCEntitySilverSkeleton=true
    B:MoCEntityWWolf=true
    B:MoCEntityWerewolf=true
    B:MoCEntityWraith=true
}


